OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_BSplineCurveWithKnots Class Reference

`#include <StepGeom_BSplineCurveWithKnots.hxx>`

Inheritance diagram for StepGeom_BSplineCurveWithKnots:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_BSplineCurveWithKnots ()
| Returns a BSplineCurveWithKnots .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect, const Handle(TColStd_HArray1OfInteger)&aKnotMultiplicities, const Handle(TColStd_HArray1OfReal)&aKnots, const StepGeom_KnotType aKnotSpec)
Standard_EXPORT void | SetKnotMultiplicities (const Handle(TColStd_HArray1OfInteger)&aKnotMultiplicities)
Standard_EXPORT Handle_TColStd_HArray1OfInteger | KnotMultiplicities () const
Standard_EXPORT Standard_Integer | KnotMultiplicitiesValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbKnotMultiplicities () const
Standard_EXPORT void | SetKnots (const Handle(TColStd_HArray1OfReal)&aKnots)
Standard_EXPORT Handle_TColStd_HArray1OfReal | Knots () const
Standard_EXPORT Standard_Real | KnotsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbKnots () const
Standard_EXPORT void | SetKnotSpec (const StepGeom_KnotType aKnotSpec)
Standard_EXPORT StepGeom_KnotType | KnotSpec () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfInteger | knotMultiplicities
Handle_TColStd_HArray1OfReal | knots
StepGeom_KnotType | knotSpec

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_BSplineCurveWithKnots::StepGeom_BSplineCurveWithKnots | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_BSplineCurveWithKnots::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BSplineCurve.

virtual Standard_EXPORT void StepGeom_BSplineCurveWithKnots::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(TColStd_HArray1OfInteger)& | aKnotMultiplicities,
|  | const Handle(TColStd_HArray1OfReal)& | aKnots,
|  | const StepGeom_KnotType | aKnotSpec
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_BSplineCurveWithKnots::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

| Reimplemented from StepGeom_BSplineCurve.

Standard_EXPORT Handle_TColStd_HArray1OfInteger StepGeom_BSplineCurveWithKnots::KnotMultiplicities | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_BSplineCurveWithKnots::KnotMultiplicitiesValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal StepGeom_BSplineCurveWithKnots::Knots | ( |  | ) | const

Standard_EXPORT StepGeom_KnotType StepGeom_BSplineCurveWithKnots::KnotSpec | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_BSplineCurveWithKnots::KnotsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepGeom_BSplineCurveWithKnots::NbKnotMultiplicities | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_BSplineCurveWithKnots::NbKnots | ( |  | ) | const

Standard_EXPORT void StepGeom_BSplineCurveWithKnots::SetKnotMultiplicities | ( | const Handle(TColStd_HArray1OfInteger)& | aKnotMultiplicities | ) |

Standard_EXPORT void StepGeom_BSplineCurveWithKnots::SetKnots | ( | const Handle(TColStd_HArray1OfReal)& | aKnots | ) |

Standard_EXPORT void StepGeom_BSplineCurveWithKnots::SetKnotSpec | ( | const StepGeom_KnotType | aKnotSpec | ) |

## Field Documentation

Handle_TColStd_HArray1OfInteger StepGeom_BSplineCurveWithKnots::knotMultiplicities`[private]`

Handle_TColStd_HArray1OfReal StepGeom_BSplineCurveWithKnots::knots`[private]`

StepGeom_KnotType StepGeom_BSplineCurveWithKnots::knotSpec`[private]`

The documentation for this class was generated from the following file:

- StepGeom_BSplineCurveWithKnots.hxx